import request from "@/utils/httpRequest";
import { REGISTER_PATH as prefix } from "../../AppPath";

export default {
	list: function (params) {
		return request({
			url: prefix + "/enrollmentRegistration/list",
			method: "get",
			params: params,
		});
	},
	save(inputForm) {
		return request({
			url: prefix + `/enrollmentRegistration/save`,
			method: "post",
			data: inputForm,
		});
	},
	saveInfo(inputForm) {
		return request({
			url: prefix + `/enrollmentRegistration/saveInfo`,
			method: "post",
			data: inputForm,
		});
	},
	save2(inputForm) {
		return request({
			url: prefix + `/enrollmentRegistration/save2`,
			method: "post",
			data: inputForm,
		});
	},
	updateInfo(inputForm) {
		return request({
			url: prefix + `/enrollmentRegistration/updateInfo`,
			method: "post",
			data: inputForm,
		});
	},
	saveWageCard(inputForm) {
		return request({
			url: prefix + `/enrollmentRegistration/saveWageCard`,
			method: "post",
			data: inputForm,
		});
	},
	saveSocialCard(inputForm) {
		return request({
			url: prefix + `/enrollmentRegistration/saveSocialCard`,
			method: "post",
			data: inputForm,
		});
	},
	saveKeyCard(inputForm) {
		return request({
			url: prefix + `/enrollmentRegistration/saveKeyCard`,
			method: "post",
			data: inputForm,
		});
	},
	saveRiceCard(inputForm) {
		return request({
			url: prefix + `/enrollmentRegistration/saveRiceCard`,
			method: "post",
			data: inputForm,
		});
	},
	findById(id) {
		return request({
			url: prefix + "/enrollmentRegistration/findById",
			method: "get",
			params: { id: id },
		});
	},
	findWageCardById(id) {
		return request({
			url: prefix + "/enrollmentRegistration/findWageCardById",
			method: "get",
			params: { id: id },
		});
	},
	findSocialCardById(id) {
		return request({
			url: prefix + "/enrollmentRegistration/findSocialCardById",
			method: "get",
			params: { id: id },
		});
	},
	findKeyCardById(id) {
		return request({
			url: prefix + "/enrollmentRegistration/findKeyCardById",
			method: "get",
			params: { id: id },
		});
	},
	findRiceCardById(id) {
		return request({
			url: prefix + "/enrollmentRegistration/findRiceCardById",
			method: "get",
			params: { id: id },
		});
	},
	updateStatusById(param) {
		return request({
			url: prefix + "/enrollmentRegistration/updateStatusById",
			method: "post",
			data: param,
		});
	},
	updateWageCardStatusById(param) {
		return request({
			url: prefix + "/enrollmentRegistration/updateWageCardStatusById",
			method: "post",
			data: param,
		});
	},
	updateSocialCardStatusById(param) {
		return request({
			url: prefix + "/enrollmentRegistration/updateSocialCardStatusById",
			method: "post",
			data: param,
		});
	},
	updateKeyCardStatusById(param) {
		return request({
			url: prefix + "/enrollmentRegistration/updateKeyCardStatusById",
			method: "post",
			data: param,
		});
	},
	updateRiceCardStatusById(param) {
		return request({
			url: prefix + "/enrollmentRegistration/updateRiceCardStatusById",
			method: "post",
			data: param,
		});
	},
	remove(id) {
		return request({
			url: prefix + "/enrollmentRegistration/remove",
			method: "get",
			params: { id: id },
		});
	},
	delByUserId(id) {
		return request({
			url: prefix + "/enrollmentRegistration/delByUserId",
			method: "get",
			params: { id: id },
		});
	},
	findIdCardOnly(idCard, id) {
		return request({
			url: prefix + "/enrollmentRegistration/findIdCardOnly",
			method: "get",
			params: { idCard: idCard, id: id },
		});
	},
	findMobilePhoneOnly(mobilePhone) {
		return request({
			url: prefix + "/enrollmentRegistration/findMobilePhoneOnly",
			method: "get",
			params: { mobilePhone: mobilePhone },
		});
	},
	findByUserId(userId) {
		return request({
			url: prefix + "/enrollmentRegistration/findByUserId",
			method: "get",
			params: { userId: userId },
		});
	},
	findInfoByUserId(userId) {
		return request({
			url: prefix + "/enrollmentRegistration/findInfoByUserId",
			method: "get",
			params: { userId: userId },
		});
	},
	downloadFile() {
		return request({
			url: prefix + "/enrollmentRegistration/downloadFile",
			method: "get",
			params: {},
			responseType: "blob",
		});
	},
	downloadDepartFile(handoverId) {
		return request({
			url: prefix + "/enrollmentRegistration/downloadDepartFile",
			method: "get",
			params: { handoverId: handoverId },
			responseType: "blob",
		});
	},
	exportTemplate() {
		return request({
			url: prefix + "/enrollmentRegistration/import/template",
			method: "get",
			responseType: "blob",
		});
	},
	importExcel(data) {
		return request({
			url: prefix + "/enrollmentRegistration/import",
			method: "post",
			data: data,
		});
	},
	exportExcel: function (params) {
		return request({
			url: prefix + "/enrollmentRegistration/export",
			method: "get",
			params: params,
			responseType: "blob",
		});
	},
	// 教育经历接口
	saveEduInfo(data) {
		return request({
			url: prefix + "/eduInfo/save",
			method: "post",
			data: data,
		});
	},
	deleteEduInfoById(id) {
		return request({
			url: prefix + "/eduInfo/delete",
			method: "post",
			data: { id: id },
		});
	},
	findEduInfo(params) {
		return request({
			url: prefix + "/eduInfo/list",
			method: "get",
			params: params,
		});
	},
	findEduInfoById(params) {
		return request({
			url: prefix + "/eduInfo/findById",
			method: "get",
			params: params,
		});
	},
	// 工作经历接口
	saveWorkInfo(data) {
		return request({
			url: prefix + "/workInfo/save",
			method: "post",
			data: data,
		});
	},
	deleteWorkInfoById(id) {
		return request({
			url: prefix + "/workInfo/delete",
			method: "post",
			data: { id: id },
		});
	},
	findWorkInfo(params) {
		return request({
			url: prefix + "/workInfo/list",
			method: "get",
			params: params,
		});
	},
	findWorkInfoById(params) {
		return request({
			url: prefix + "/workInfo/findById",
			method: "get",
			params: params,
		});
	},
	// 工作经历接口
	saveTrainingInfo(data) {
		return request({
			url: prefix + "/trainingInfo/save",
			method: "post",
			data: data,
		});
	},
	deleteTrainingInfoById(id) {
		return request({
			url: prefix + "/trainingInfo/delete",
			method: "post",
			data: { id: id },
		});
	},
	findTrainingInfo(params) {
		return request({
			url: prefix + "/trainingInfo/list",
			method: "get",
			params: params,
		});
	},
	findTrainingInfoById(params) {
		return request({
			url: prefix + "/trainingInfo/findById",
			method: "get",
			params: params,
		});
	},
	// 资质证书接口
	saveCertificateInfo(data) {
		return request({
			url: prefix + "/certificateInfo/save",
			method: "post",
			data: data,
		});
	},
	deleteCertificateInfoById(id) {
		return request({
			url: prefix + "/certificateInfo/delete",
			method: "post",
			data: { id: id },
		});
	},
	findCertificateInfo(params) {
		return request({
			url: prefix + "/certificateInfo/list",
			method: "get",
			params: params,
		});
	},
	findCertificateInfoById(params) {
		return request({
			url: prefix + "/certificateInfo/findById",
			method: "get",
			params: params,
		});
	},
	// 专业技能接口
	saveSkillInfo(data) {
		return request({
			url: prefix + "/skillInfo/save",
			method: "post",
			data: data,
		});
	},
	deleteSkillInfoById(id) {
		return request({
			url: prefix + "/skillInfo/delete",
			method: "post",
			data: { id: id },
		});
	},
	findSkillInfo(params) {
		return request({
			url: prefix + "/skillInfo/list",
			method: "get",
			params: params,
		});
	},
	findSkillInfoById(params) {
		return request({
			url: prefix + "/skillInfo/findById",
			method: "get",
			params: params,
		});
	},
	// 语言能力接口
	saveLanguageInfo(data) {
		return request({
			url: prefix + "/languageInfo/save",
			method: "post",
			data: data,
		});
	},
	deleteLanguageInfoById(id) {
		return request({
			url: prefix + "/languageInfo/delete",
			method: "post",
			data: { id: id },
		});
	},
	findLanguageInfo(params) {
		return request({
			url: prefix + "/languageInfo/list",
			method: "get",
			params: params,
		});
	},
	findLanguageInfoById(params) {
		return request({
			url: prefix + "/languageInfo/findById",
			method: "get",
			params: params,
		});
	},
	// 家庭成员接口
	saveFamilyInfo(data) {
		return request({
			url: prefix + "/familyInfo/save",
			method: "post",
			data: data,
		});
	},
	deleteFamilyInfoById(id) {
		return request({
			url: prefix + "/familyInfo/delete",
			method: "post",
			data: { id: id },
		});
	},
	findFamilyInfo(params) {
		return request({
			url: prefix + "/familyInfo/list",
			method: "get",
			params: params,
		});
	},
	findFamilyInfoById(params) {
		return request({
			url: prefix + "/familyInfo/findById",
			method: "get",
			params: params,
		});
	},
	// 获奖信息接口
	saveRewardInfo(data) {
		return request({
			url: prefix + "/rewardInfo/save",
			method: "post",
			data: data,
		});
	},
	deleteRewardInfoById(id) {
		return request({
			url: prefix + "/rewardInfo/delete",
			method: "post",
			data: { id: id },
		});
	},
	findRewardInfo(params) {
		return request({
			url: prefix + "/rewardInfo/list",
			method: "get",
			params: params,
		});
	},
	findRewardInfoById(params) {
		return request({
			url: prefix + "/rewardInfo/findById",
			method: "get",
			params: params,
		});
	},
};
